Jekyll 3 Install

gem install jekyll

note: if this returns that it requires > ruby 2.0.11 then rvm install ruby-[latest]

Changes to make Hyde theme compatible with jekyll 3

  1. _config.yml

    • add line: paginate_path: "page:num"
    • add line: plugins: [jekyll-paginate, jeyll-gist]
    • remove line: relative_permalinks: true
  2. gem install jekyll-paginate redcarpet jekyll-gist

  3. jekyll serve && open http://127.0.0.1:4000